Skip to main content
Update Visual Type

Authorizations

Authorization
string
header
required

HTTP Basic authentication using global administrator credentials (username and password).

Path Parameters

id
string
required

Body

application/vnd.composer.v3+json

VisualType object represents a definition of a visual type in the application. It does not contain source-specific settings.

id
string
templateId
string
templateType
string
name
string
accountId
string
enabled
boolean
type
string
internalComponent
string

Indicates if UI needs to render visual type in a special way

Example:

"ListFilterWidget"

components
object[]
objectFieldTypes
string[]
controls
string[]
thumbnailId
string
variables
object[]
schemas
object
wrap
boolean
jsBundleChunks
string[]

Response

204

No Content